Returns a variable from shared memory

- « shm_detach

- shm_has_var »

- PHP Manual
- Semaphore Functions
- Returns a variable from shared memory

# shm_get_var

(PHP 4, PHP 5, PHP 7, PHP 8)

shm_get_var — Returns a variable from shared memory

### Description

shm_get_var(SysvSharedMemory `$shm`, int `$key`): mixed

shm_get_var() returns the variable with a given `key`, in the given shared memory segment. The variable is still present in the shared memory.

### Parameters

`shm`

  A shared memory segment obtained from shm_attach().

`key`

  The variable key.

### Return Values

Returns the variable with the given key.

### Changelog

Version | Description
--- | ---
8.0.0 | `shm` expects a SysvSharedMemory instance now; previously, a resource was expected.

### See Also

- shm_has_var() - Check whether a specific entry exists
- shm_put_var() - Inserts or updates a variable in shared memory